package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.apache.commons.lang.BooleanUtils;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.RutaEmbarqueDesembarque;

public class RenderRutaEmbarqueDesembarque implements ListitemRenderer {

    public void render(Listitem listItem, Object object) throws Exception {
        RutaEmbarqueDesembarque rutaEmbarqueDesembarque = (RutaEmbarqueDesembarque) object;

        new Listcell(rutaEmbarqueDesembarque.getParada().getDescparada()).setParent(listItem);
        new Listcell(rutaEmbarqueDesembarque.getLocalDesembarqueEmbarque() == null ?  "" : 
        	rutaEmbarqueDesembarque.getLocalDesembarqueEmbarque().getDescparada()).setParent(listItem);
        new Listcell(BooleanUtils.isTrue(rutaEmbarqueDesembarque.getEmbarque()) ? "Sim" : "Não").setParent(listItem);
        new Listcell(BooleanUtils.isTrue(rutaEmbarqueDesembarque.getDesembarque()) ? "Sim" : "Não").setParent(listItem);

        listItem.setAttribute("data", rutaEmbarqueDesembarque);
        
    }
}
